Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2878 - NFS export across mounting points
Summary: NFS export across mounting points
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: knfsd
Version: 6.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-17 15:58 UTC by oscar.defeo
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-18 17:41:57 UTC


Attachments (Terms of Use)

Description oscar.defeo 1999-05-17 15:58:57 UTC
In the latest version of knfsd the semantic of /etc/exports
does not work as before. The NFS export of filesystems
across mounting points does not work.
For instance, if we have a filesytem with a partition for
root (/) one for /usr and another for /home, the export of
root / does not export /usr and /home, namely the /usr and
/home directory in the mounted filesystem will result empty.
Furthermore, trying to export the subdirectories explicitely
(/usr, /home) will results in strange behavior and crash of
the system.

Comment 1 Derek Tattersall 1999-05-19 20:31:59 UTC
I believe the semantics of /etc/exports are the same now as with BSD.
That is nfs mounts may not spread across partitions.

Comment 2 Cristian Gafton 1999-06-18 17:41:59 UTC
The mount points need to be exported explicitly.


Note You need to log in before you can comment on or make changes to this bug.